using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wSingerList:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-23 10:49:23
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("歌手列表","网站页面","歌手列表",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
	排序=Convert.ToInt32(Request.QueryString["order"]);
	一页显示记录数=获取一页显示记录数();
	跳页表单项="<postfield name=\"order\" value=\""+
		排序+
		"\" />"+
		"<postfield name=\""+程序.设置["标识名称"]+
		"\" value=\""+
		访问.用户["标识"]+
		"\" />";
	_3G跳页表单项="<input type=\"hidden\" name=\"order\" value=\""+
		排序+
		"\" />"+
		"<input type=\"hidden\" name=\""+程序.设置["标识名称"]+
		"\" value=\""+
		访问.用户["标识"]+
		"\" />";
		String 数量语句SQL="SELECT COUNT(ID) FROM ["+程序.数据表前缀+"内容_音乐_歌手]"+查询条件;
		SqlCommand 数量语句=new SqlCommand(数量语句SQL,访问.连接);
		当前页=Convert.ToInt32(Request.QueryString["page"]);
		总记录数=Convert.ToInt32(数量语句.ExecuteScalar());
		总页数=常用.计算总页数(总记录数,一页显示记录数);
		当前页=常用.计算当前页(总页数,当前页);
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml"">
<wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>

<card title=""歌手列表"">
<p>");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		返回值.Append(@"
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">首页</a>-歌手列表<br/>
");
		歌手列表DOKAQN68();
		if(总页数<2)
		{
		}
		else
		{
		返回值.Append(@"共");
		返回值.Append(总记录数);
		返回值.Append(@"条记录<br/>");
		}
		返回值.Append(@"
----------<br/>
<a href=""");
		返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"page.aspx?ID=1",访问.用户["标识"].ToString())));
		返回值.Append(@""">返回首页</a><br/>
报时:");
		返回值.Append(DateTime.Now.ToString("HH:mm:ss"));
		返回值.Append(@"
</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private String 当前页面=@"/UUN WAP CMS 3.1/SingerList.aspx";
	//参数
	private int 排序;
	//其它
	private String 跳页表单项;
	private String _3G跳页表单项;
	private String 查询条件="";
	//列表分页
	private int 当前页;
	private int 总页数;
	private int 总记录数;
	private int 一页显示记录数;
	private String 列表跳页(int 页码)
	{
		return Server.HtmlEncode(常用.处理地址(当前页面+"?order="+排序+"&page="+页码,访问.用户["标识"].ToString()));
	}
	private String 生成余下全部地址()
	{
		return "";
	}
	private void 歌手列表DOKAQN68()
	{
		if(总记录数<1)
			返回值.Append(@"暂时还没有歌手<br/>");
		String 语句SQL="SELECT [ID],[歌手/乐队名称] FROM ["+程序.数据表前缀+"内容_音乐_歌手]"+查询条件;
		语句SQL+=" ORDER BY ";
		switch(排序)
		{
			case 0:
				语句SQL+="[创建时间]";
				break;
			default:
				语句SQL+="[创建时间] DESC";
				break;
		}
		SqlCommand 语句=new SqlCommand(语句SQL,访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,(当前页-1)*一页显示记录数,一页显示记录数,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"");
			返回值.Append((当前页-1)*一页显示记录数+i+1);
			返回值.Append(@".<a href=""");
			返回值.Append(Server.HtmlEncode(常用.处理地址(程序.安装位置+"Singer.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(Server.HtmlEncode(行["歌手/乐队名称"].ToString()));
			返回值.Append(@"</a><br/>");
		}
		}
	private int 获取一页显示记录数()
	{
		return 访问.获取一页显示记录数();

	}
}